Skip to content

ibl-data-manager (4.84.1-ai-plus)

API for iblai

Download OpenAPI description
Languages
Servers
Mock server
https://docs.ibl.ai/_mock/apis/ibl/
https://base.manager.iblai.app/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

core_lti_1p3_provider_lti_mentors_update

Request

Update an LTI Mentor

Security
PlatformApiKeyAuthentication
Path
idstringrequired
Bodyrequired
namestringrequired

The name of the mentor

mentor_configobject(LtiMentorCourseXBlock)required
mentor_config.​mentorstringrequired

The unique_id of the mentor

platform_keystringwrite-onlyrequired

Platform key the requesting user belongs to

curl -i -X PUT \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/lti/1p3/provider/lti-mentors/{id}/' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "mentor_config": {
      "mentor": "string"
    },
    "platform_key": "string"
  }'

Responses

Bodyapplication/json
idintegerread-onlyrequired
namestringrequired

The name of the mentor

orgstringread-onlyrequired

The org of the mentor

course_keystringread-onlyrequired

The course key

mentor_configobject(LtiMentorCourseXBlock)required
mentor_config.​mentorstringrequired

The unique_id of the mentor

mentor_config.​locationstringread-onlyrequired

The xblock location of the mentor

Response
application/json
{ "id": 0, "name": "string", "org": "string", "course_key": "string", "mentor_config": { "mentor": "string", "location": "string" } }

core_lti_1p3_provider_lti_mentors_destroy

Request

Delete an LTI Mentor

Security
PlatformApiKeyAuthentication
Path
idstringrequired
Query
platform_keystringnon-emptyrequired

Platform Key

curl -i -X DELETE \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/lti/1p3/provider/lti-mentors/{id}/?platform_key=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

No response body

core_lti_1p3_provider_lti_tools_list

Request

List your LTI Tool's

Security
PlatformApiKeyAuthentication
Query
platform_keystringnon-emptyrequired

Platform Key

curl -i -X GET \
  'https://docs.ibl.ai/_mock/apis/ibl/api/core/lti/1p3/provider/lti-tools/?platform_key=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Bodyapplication/jsonArray [
idintegerread-onlyrequired
titlestringrequired

The title of the tool

issuerstring(uri)required

This value will look someting like https://example.com. Value provided by Lti 1.3 Platform.

client_idstringrequired

The client id provided by Lti 1.3 Platform

auth_login_urlstring(uri)required

The Platforms OIDC Login endpoint. Value provided by LTI 1.3 Platform.

auth_token_urlstring(uri)required

The Platforms OIDC Token endpoint. Value provided by LTI 1.3 Platform.

auth_audiencestring or null

The platforms Oauth2 Audience (aud). Usually can be skipped.

key_set_urlstring or null(uri)

The platforms JWKS endpoint. Value provided by LTI 1.3 Platform.

key_setany or null

In case Platform's JWKS endpoint is not available, you can provide the JWKS here. Value provided by LTI 1.3 Platform.

Default ""
tool_keyintegerrequired

Reference to Lti Tool

deployment_idsArray of stringsrequired

List of deployment ids. Example: ["1", "deployment-2"]. Value(s) provided by LTI 1.3 Platform.

launch_gateobject(LtiLaunchGate)required
launch_gate.​allowed_keysArray of strings
launch_gate.​allowed_coursesArray of strings
launch_gate.​allow_all_within_orgboolean

If True, a target_link_uri will work with any content within this org

Default false
]
Response
application/json
[ { "id": 0, "title": "string", "issuer": "http://example.com", "client_id": "string", "auth_login_url": "http://example.com", "auth_token_url": "http://example.com", "auth_audience": "string", "key_set_url": "http://example.com", "key_set": "", "tool_key": 0, "deployment_ids": [], "launch_gate": {} } ]
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations